<div class="ui modal form" data-controller="subject">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>

  <div class="content">
    <%= form_for @content,
                 url: admin_academic_subject_subject_module_contents_path(module_id: @module, subject_id: @subject),
                 remote: true do |form| %>

      <%= error_message(@content) %>

      <div class="ui two column stackable grid">
        <div class="column" data-target="subject.dropdown">
          <strong>Tipo de contenido</strong>
          <%= form.select(:type_id, Admin::Academic::Subject::ContentType.all.collect {|type| [type.name.humanize, type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown', id: 'content-dropdown', data: { action: "subject#connect" }}) %>
        </div>

        <div class="column">
          <strong>Nombre</strong>
          <%= form.text_field :name, required: true %>
        </div>
      </div>

      <div class="content-type-div ui one column stackable grid" style="display: none;">
        <div class="column">
          <strong>Archivo</strong>
          <%= form.file_field :file, class: 'content-file-field' %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>
</div>

<script>
  $('.ui.dropdown').dropdown({showOnFocus: false});
</script>
